Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Ifetch_unit/Address_management/Makefile.deps
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Ifetch_unit/Address_management/Makefile.deps	(revision 141)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Ifetch_unit/Address_management/Makefile.deps	(revision 142)
@@ -11,5 +11,5 @@
 
 ifndef Behavioural
-include 			$(DIR_MORPHEO)/Behavioural/Makefile.deps
+include 				$(DIR_MORPHEO)/Behavioural/Makefile.deps
 endif
 
@@ -21,18 +21,21 @@
 
 Address_management_LIBRARY		= 	-lAddress_management	\
-					$(Behavioural_LIBRARY)	
-
-Address_management_DIR_LIBRARY		=	-L$(Address_management_DIR)/lib	\
-					$(Behavioural_DIR_LIBRARY)
+						$(Behavioural_LIBRARY)	
 
 #-----[ Rules ]--------------------------------------------
 
-Address_management_library		:
-				@\
-				$(MAKE) Behavioural_library;		\
-				$(MAKE) --directory=$(Address_management_DIR) --makefile=Makefile;
+Address_management_library_only		:
+					@\
+					$(MAKE) --directory=$(Address_management_DIR) --makefile=Makefile;
 
-Address_management_library_clean	:
-				@\
-				$(MAKE) Behavioural_library_clean;	\
-				$(MAKE) --directory=$(Address_management_DIR) --makefile=Makefile clean;
+Address_management_library_clean_only	:
+					@\
+					$(MAKE) --directory=$(Address_management_DIR) --makefile=Makefile clean;
+
+Address_management_library		: Address_management_library_only
+					@\
+					$(MAKE) Behavioural_library;
+
+Address_management_library_clean	: Address_management_library_clean_only
+					@\
+					$(MAKE) Behavioural_library_clean;
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Ifetch_unit/Ifetch_queue/Makefile.deps
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Ifetch_unit/Ifetch_queue/Makefile.deps	(revision 141)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Ifetch_unit/Ifetch_queue/Makefile.deps	(revision 142)
@@ -16,5 +16,5 @@
 #-----[ Directory ]----------------------------------------
 
-Ifetch_queue_DIR			=	$(DIR_MORPHEO)/Behavioural/Core/Multi_Front_end/Front_end/Ifetch_unit/Ifetch_queue
+Ifetch_queue_DIR		=	$(DIR_MORPHEO)/Behavioural/Core/Multi_Front_end/Front_end/Ifetch_unit/Ifetch_queue
 
 #-----[ Library ]------------------------------------------
@@ -23,16 +23,19 @@
 					$(Behavioural_LIBRARY)	
 
-Ifetch_queue_DIR_LIBRARY		=	-L$(Ifetch_queue_DIR)/lib	\
-					$(Behavioural_DIR_LIBRARY)
-
 #-----[ Rules ]--------------------------------------------
 
-Ifetch_queue_library		:
+Ifetch_queue_library_only	:
 				@\
-				$(MAKE) Behavioural_library;		\
 				$(MAKE) --directory=$(Ifetch_queue_DIR) --makefile=Makefile;
 
-Ifetch_queue_library_clean	:
+Ifetch_queue_library_clean_only	:
 				@\
-				$(MAKE) Behavioural_library_clean;	\
 				$(MAKE) --directory=$(Ifetch_queue_DIR) --makefile=Makefile clean;
+
+Ifetch_queue_library		: Ifetch_queue_library_only
+				@\
+				$(MAKE) Behavioural_library;
+
+Ifetch_queue_library_clean	: Ifetch_queue_library_clean_only
+				@\
+				$(MAKE) Behavioural_library_clean;
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Ifetch_unit/Ifetch_unit_Glue/Makefile.deps
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Ifetch_unit/Ifetch_unit_Glue/Makefile.deps	(revision 141)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Ifetch_unit/Ifetch_unit_Glue/Makefile.deps	(revision 142)
@@ -11,5 +11,5 @@
 
 ifndef Behavioural
-include 			$(DIR_MORPHEO)/Behavioural/Makefile.deps
+include 				$(DIR_MORPHEO)/Behavioural/Makefile.deps
 endif
 
@@ -21,18 +21,22 @@
 
 Ifetch_unit_Glue_LIBRARY		= 	-lIfetch_unit_Glue	\
-					$(Behavioural_LIBRARY)	
+						$(Behavioural_LIBRARY)	
 
-Ifetch_unit_Glue_DIR_LIBRARY		=	-L$(Ifetch_unit_Glue_DIR)/lib	\
-					$(Behavioural_DIR_LIBRARY)
 
 #-----[ Rules ]--------------------------------------------
 
-Ifetch_unit_Glue_library		:
-				@\
-				$(MAKE) Behavioural_library;		\
-				$(MAKE) --directory=$(Ifetch_unit_Glue_DIR) --makefile=Makefile;
+Ifetch_unit_Glue_library_only		:
+					@\
+					$(MAKE) --directory=$(Ifetch_unit_Glue_DIR) --makefile=Makefile;
 
-Ifetch_unit_Glue_library_clean	:
-				@\
-				$(MAKE) Behavioural_library_clean;	\
-				$(MAKE) --directory=$(Ifetch_unit_Glue_DIR) --makefile=Makefile clean;
+Ifetch_unit_Glue_library_clean_only	:
+					@\
+					$(MAKE) --directory=$(Ifetch_unit_Glue_DIR) --makefile=Makefile clean;
+
+Ifetch_unit_Glue_library		: Ifetch_unit_Glue_library_only
+					@\
+					$(MAKE) Behavioural_library;
+
+Ifetch_unit_Glue_library_clean		: Ifetch_unit_Glue_library_clean_only
+					@\
+					$(MAKE) Behavioural_library_clean;
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Ifetch_unit/Makefile.deps
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Ifetch_unit/Makefile.deps	(revision 141)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Front_end/Front_end/Ifetch_unit/Makefile.deps	(revision 142)
@@ -35,25 +35,25 @@
 					$(Behavioural_LIBRARY)	
 
-Ifetch_unit_DIR_LIBRARY		=	-L$(Ifetch_unit_DIR)/lib		\
-					$(Address_management_DIR_LIBRARY)	\
-					$(Ifetch_queue_DIR_LIBRARY)		\
-					$(Ifetch_unit_Glue_DIR_LIBRARY)		\
-					$(Behavioural_DIR_LIBRARY)
-
 #-----[ Rules ]--------------------------------------------
 
-Ifetch_unit_library		:
+Ifetch_unit_library_only	:
 				@\
-				$(MAKE) Behavioural_library;						\
-				$(MAKE) --directory=$(Address_management_DIR) 	--makefile=Makefile;	\
-				$(MAKE) --directory=$(Ifetch_queue_DIR) 	--makefile=Makefile;	\
-				$(MAKE) --directory=$(Ifetch_unit_Glue_DIR) 	--makefile=Makefile;	\
 				$(MAKE) --directory=$(Ifetch_unit_DIR) 		--makefile=Makefile;
 
-Ifetch_unit_library_clean	:
+Ifetch_unit_library_clean_only	:
 				@\
-				$(MAKE) Behavioural_library_clean;						\
-				$(MAKE) --directory=$(Address_management_DIR) 	--makefile=Makefile clean;	\
-				$(MAKE) --directory=$(Ifetch_queue_DIR) 	--makefile=Makefile clean;	\
-				$(MAKE) --directory=$(Ifetch_unit_Glue_DIR) 	--makefile=Makefile clean;	\
 				$(MAKE) --directory=$(Ifetch_unit_DIR) 		--makefile=Makefile clean;
+
+Ifetch_unit_library		: Ifetch_unit_library_only
+				@\
+				$(MAKE) Behavioural_library;		\
+				$(MAKE) Address_management_library;	\
+				$(MAKE) Ifetch_queue_library;		\
+				$(MAKE) Ifetch_unit_Glue_library;
+
+Ifetch_unit_library_clean	: Ifetch_unit_library_clean_only
+				@\
+				$(MAKE) Behavioural_library_clean;		\
+				$(MAKE) Address_management_library_clean;	\
+				$(MAKE) Ifetch_queue_library_clean;		\
+				$(MAKE) Ifetch_unit_Glue_library_clean;
